<?php
/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Valerie Isaksen

 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_relatedproducts.php 6431 2012-09-12 12:31:31Z alatak $
 */

// Check to ensure this file is included in Joomla!
defined ( '_JEXEC' ) or die ( 'Restricted access' );
JHTML::_('behavior.modal');
JHTML::_('behavior.mootools');
if (!class_exists( 'CurrencyDisplay' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'currencydisplay.php');
?>
<div class="product-related">
<h4><?php echo JText::_('COM_VIRTUEMART_RELATED_PRODUCTS'); ?></h4>
 <div class="product-related-products">
    <?php
	$releted = array();
    foreach ($this->product->customfieldsRelatedProducts as $field) {
		//print_r($this);
		$releted[] = $field->custom_value;
		//var_dump($releted);
	 } 
	 ?>
        

        
<?php 
$last = count($prods)-1;
?>

<?php 
		$product_model = VmModel::getModel('product');
		$ratingModel = VmModel::getModel('ratings');
		$mainframe = Jfactory::getApplication();
		$virtuemart_currency_id = $mainframe->getUserStateFromRequest( "virtuemart_currency_id", 'virtuemart_currency_id',JRequest::getInt('virtuemart_currency_id',0) );
		

		$db =&JFactory::getDBO();
		$db->setQuery('select virtuemart_product_id from #__virtuemart_products');
		$products = $db->loadAssocList();
		$prod = array();
		foreach($products as $product){
			$prod[] = $product['virtuemart_product_id'];
			//var_dump($product_model->getProductSingle($product['virtuemart_product_id']));
			
		}
			$prods = $product_model->getProducts($prod);
			//var_dump ($prods);
			$product_model->addImages($prods,1); 
			$currency = CurrencyDisplay::getInstance( );
			?>
            
			
			<div class="list_carousel2 responsive">
					<ul id="slider2" class="vmproduct">
						 
              <?php            
			 foreach($releted as $key=>$value) { 
			 	if ($value) {
			 ?>
             <?php 
				for($i=0;$i<count($prods);$i++){
					if ($value==$prods[$i]->virtuemart_product_id) { ?>
				<li>
				
						
					   <div class="product-box spacer">
                    	 <div class="browseImage  <?php if ($prods[$i]->prices['discountAmount']>0) { echo 'disc';} ?> ">
                          <?php if ($prods[$i]->prices['discountAmount']>0 && $prods[$i]->product_sales > 5 ) { ?>
                             <div class="discount"></div>
                             <?php } elseif ($prods[$i]->prices['discountAmount']>0) {?>
                              <div class="discount"></div>
                                <?php } elseif ($prods[$i]->product_sales > 5) {?>
                                  <div class="hit"></div>
                                  <?php } ?>
							<?php
							if (!empty($prods[$i]->images[0]) )
									$image = $prods[$i]->images[0]->displayMediaThumb('class="browseProductImage featuredProductImage" border="0"',false) ;
								else $image = '';
									echo JHTML::_('link', JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$prods[$i]->virtuemart_product_id.'&virtuemart_category_id='.$prods[$i]->virtuemart_category_id),$image);
							?>
                            <div class="Title">
            					<?php echo JHTML::link(JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$prods[$i]->virtuemart_product_id.'&virtuemart_category_id='.$prods[$i]->virtuemart_category_id), shopFunctionsF::limitStringByWord($prods[$i]->product_name,'35','...'), array('title' => $prods[$i]->product_name)); ?>
        					</div>
                            
                            <div class="Price" id="productPrice<?php echo $prods[$i]->virtuemart_product_id ?>">
                           		<?php if ($prods[$i]->prices['basePriceWithTax']>0)
									echo '<span class="WithoutTax">'.$currency->createPriceDiv('basePriceWithTax', '', $prods[$i]->prices,true).'</span>';
								?>
								<?php if ($prods[$i]->prices['salesPrice']>0)
									echo '<span class="sales">' .$currency->createPriceDiv('salesPrice', '', $prods[$i]->prices,true).'</span>';
								?>
								<?php if ($prods[$i]->prices['discountAmount']>0)
									echo '<span class="discount">' .$currency->createPriceDiv('discountAmount', '', $prods[$i]->prices,true).'</span>';
								?>
                                
                         	 </div>
                          <div class="slide-info">
                            <div class="wrapper">
                                <div class="Title">
                                <?php echo JHTML::link(JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$prods[$i]->virtuemart_product_id.'&virtuemart_category_id='.$prods[$i]->virtuemart_category_id),shopFunctionsF::limitStringByWord($prods[$i]->product_name,'35','...'), array('title' => $prods[$i]->product_name)); ?>
                                </div>
                                
                               
                                   <?php
									$rating = $ratingModel->getRatingByProduct($prods[$i]->virtuemart_product_id);
									if( !empty($rating)) {
										$r = $rating->rating;
									} else {
										$r = 0;
									}
									$maxrating = VmConfig::get('vm_maximum_rating_scale',5);
									$ratingwidth = ( $r * 100 ) / $maxrating;//I don't use round as percetntage with works perfect, as for me
																?>
																
											<span class="vote">
												<span title="" class="vmicon ratingbox" style="display:inline-block;">
													<span class="stars-orange" style="width:<?php echo $ratingwidth;?>%">
													</span>
												</span>
											</span>
                                            <div class="Price" id="productPrice<?php echo $prods[$i]->virtuemart_product_id ;?>">
                                            	<?php if ($prods[$i]->prices['basePriceWithTax']>0)
													echo '<span class="WithoutTax">'.$currency->createPriceDiv('basePriceWithTax', '', $prods[$i]->prices,true).'</span>';
												?>
												<?php if ($prods[$i]->prices['salesPrice']>0)
													echo '<span class="sales">' .$currency->createPriceDiv('salesPrice', '', $prods[$i]->prices,true).'</span>';
												?>
												<?php if ($prods[$i]->prices['discountAmount']>0)
													echo '<span class="discount">' .$currency->createPriceDiv('discountAmount', '', $prods[$i]->prices,true).'</span>';
												?>
                                             </div>
                                    
                            </div>
            <div class="wrapper-slide">
             <?php if (!VmConfig::get('use_as_catalog',0)) { ?>
                <div class="addtocart-area2">
										<?php if ($prods[$i]->product_in_stock < 1) { ?>
											<a class="addtocart-button" href="<?php echo JRoute::_('index.php?option=com_virtuemart&view=productdetails&layout=notify&virtuemart_product_id='.$prods[$i]->virtuemart_product_id); ?>"><?php echo JText::_('COM_VIRTUEMART_CART_NOTIFY') ?></a>
										<?php } else { ?>
										<form method="post" class="product" action="index.php" id="addtocartproduct<?php echo $prods[$i]->virtuemart_product_id ?>">
										<div class="addtocart-bar2">
											<?php // Display the quantity box 
											if ((!empty($prods[$i]->customsChilds)) || (!empty($prods[$i]->customfieldsCart))) { ?>
											<span class="attributes"><b>*</b> Product has attributes</span>
                                            <div class="addtocart_button2">
											<?php echo JHTML::link($prods[$i]->link, JText::_('COM_VIRTUEMART_CART_ADD_TO'), array('title' => $prods[$i]->product_name,'class' => 'addtocart-button btn')); ?>
                                      	  </div>
										
										<?php } else { ?>
										<span class="quantity-box">
											<input type="text" class="quantity-input js-recalculate" name="quantity[]" value="<?php if (isset($prods[$i]->min_order_level) && (int) $prods[$i]->min_order_level > 0) {
											 echo $prods[$i]->min_order_level;
											} else {
												echo '1';
											} ?>" />
										</span>
										<span class="quantity-controls">
											<input type="button" class="quantity-controls quantity-plus" />
											<input type="button" class="quantity-controls quantity-minus" />
										</span>
										<?php // Add the button
											$button_lbl = JText::_('COM_VIRTUEMART_CART_ADD_TO');
											$button_cls = 'addtocart-button cart-click btn'; //$button_cls = 'addtocart_button';
										?>
											<?php // Display the add to cart button ?>
											<div class="clear"></div>
											<span class="addtocart_button2">
												<button type="submit" value="<?php echo $button_lbl ?>" class="<?php echo $button_cls ?>"><?php echo $button_lbl ?></button>
											</span>
                                            
										<input type="hidden" class="pname" value="<?php echo $prods[$i]->product_name ?>"/>
										<input type="hidden" name="option" value="com_virtuemart" />
										<input type="hidden" name="view" value="cart" />
										<noscript><input type="hidden" name="task" value="add" /></noscript>
										<input type="hidden" name="virtuemart_product_id[]" value="<?php echo $prods[$i]->virtuemart_product_id ?>" />
										<input type="hidden" name="virtuemart_category_id[]" value="<?php echo $prods[$i]->virtuemart_category_id ?>" />	
										<?php }?>
									</div>
									</form>
									<?php } ?>
									</div>
                                    <div class="Details">
											<?php echo JHTML::link(JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$prods[$i]->virtuemart_product_id.'&virtuemart_category_id='.$prods[$i]->virtuemart_category_id), JText::_('ART_DETAILS')); ?><?php ?> 
                                             <div id="compare_cat" class="jClever" >
                                            <input id="prods<?php echo $prods[$i]->virtuemart_product_id;?>" class="compare_checkbox"	type="checkbox"	name="compare_<?php echo $prods[$i]->virtuemart_product_id;?> "></input>
                                            <label style="float:left;" for="prods<?php echo $prods[$i]->virtuemart_product_id;?>" class="compare-label"><?php echo JText::_('ADD_TO_COMPARE');?></label>
                                            <a href="index.php?option=com_compare&view=compare" class="go_to_compare"><?php echo JText::_('GO_TO_COMPARE'); ?></a>
                                        </div> 
                                        </div>
        <?php } ?>
                
			</div>
    	</div>
						
                       		</div>         
                       </div> 
                       </li>     
                      <?php
					} 
					} ?>
					
		<?php } 
			 }
		?>

                </ul>
                <div class="clearfix"></div>
                    <a id="prev2" class="prev" href="#">&lt;</a>
                    <a id="next2" class="next" href="#">&gt;</a>
                    <div id="pager2" class="pager"></div>
                </div>
<script type="text/javascript">
var isIE8 = jQuery.browser.msie && + jQuery.browser.version === 8;
if (isIE8 ) {
	jQuery(function () {							   	
			jQuery('#slider2').carouFredSel({
					auto: false,
					prev: '#prev2',
					next: '#next2',
					mousewheel: false,
					swipe: {
						onMouse: false,
						onTouch: false
					},				   
					responsive: true,
					width: '100%',
					scroll: 1,
					items: {
						width: 350,
					//	height: '30%',	//	optionally resize item-height
						visible: {
							min: 1,
							max: 6
						}
					}
				});
		});
} else {
	jQuery(function () {							   	
			jQuery('#slider2').carouFredSel({
					auto: false,
					prev: '#prev2',
					next: '#next2',
					mousewheel: false,
					swipe: {
						onMouse: true,
						onTouch: true
					},				   
					responsive: true,
					width: '100%',
					scroll: 1,
					items: {
						width: 350,
					//	height: '30%',	//	optionally resize item-height
						visible: {
							min: 1,
							max: 6
						}
					}
				});
		});
}
</script>
<?php
$js="
			jQuery(function () {							   	
			jQuery('#slider2').carouFredSel({
					auto: false,
					prev: '#prev2',
					next: '#next2',
					mousewheel: false,
					swipe: {
						onMouse: true,
						onTouch: true
					},				   
					responsive: true,
					width: '100%',
					scroll: 1,
					items: {
						width: 350,
					//	height: '30%',	//	optionally resize item-height
						visible: {
							min: 1,
							max: 6
						}
					}
				});
				jQuery('.list_carousel2   ul li .browseImage').hover(function() {
					jQuery(this).find('div.slide-info').stop().animate({ bottom: 0}, 'fast' , 'swing');
					},function(){
					jQuery(this).find('div.slide-info').stop().animate({ bottom: -300}, 500 , 'swing');
				}); 
			});
        ";
		$document = JFactory::getDocument();
		$document->addScriptDeclaration($js);	

?>
</div>
</div>